# TODO: split out daap-sharp?
# TODO: split out daemon?
# TODO: generate debug-info package

Name:		tangerine
Version:	0.3.4
Release:	1%{?dist}
Summary:	Personal DAAP server
Group:		Applications/Multimedia
License:	GPLv2
URL:		http://launchpad.net/tangerine/
Source0:	http://launchpad.net/tangerine/0.3/%{version}/+download/%{name}-%{version}.tar.gz
# Source: http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/tangerine.git;a=blob_plain;f=debian/patches/port_file_plugin_to_db4o_8.0.patch;hb=01da69fc1916551c69ca98c34c9055ed1faecdfe
Source1:	tangerine.desktop
Patch0:		tangerine-debian_patches_port_file_plugin_to_db4o_8.0.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	libSM-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	taglib-sharp-devel
BuildRequires:	ndesk-dbus-glib-devel
BuildRequires:	mono-zeroconf-devel
BuildRequires:	log4net-devel
BuildRequires:	db4o-devel
BuildRequires:	Nini-devel
BuildRequires:	intltool
BuildRequires:	mono-devel

## TODO: package muine and split out pluggin-muine
#BuildRequires:	muine-devel

Requires:	gtk-sharp2
Requires:	taglib-sharp
Requires:	mono-zeroconf
Requires:	log4net
Requires:	db4o
Requires:	Nini
Requires:	avahi

%description
Tangerine is an application that allows you to publish music over the local 
network, using DAAP. For typical configurations, a graphical tool is included.


%package devel
Summary:	Development files for Tangerine DAAP server
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for Tangerine DAAP server.

%package plugins-banshee
Summary:	Banshee support for Tangerine DAAP server
Group:		Applications/Multimedia
BuildRequires:	banshee-devel
Requires:	%{name} = %{version}-%{release}
Requires:	banshee

%description plugins-banshee
Banshee support for Tangerine DAAP server.


%package plugins-amarok
Summary:	Amarok support for Tangerine DAAP server
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	amarok

%description plugins-amarok
Amarok support for Tangerine DAAP server.


%package plugins-rhythmbox
Summary:	Rhythmbox support for Tangerine DAAP server
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	rhythmbox

%description plugins-rhythmbox
Rhythmbox support for Tangerine DAAP server.


#TODO Lsong is not packaged for Fedora
%package plugins-lsongs
Summary:	Lsong support for Tangerine DAAP server
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	lsongs

%description plugins-lsongs
Lsongs support for Tangerine DAAP server.

# beagle is deprecated in Fedora
#%package plugins-beagle
#Summary:	Beagle support for Tangerine DAAP server
#Group:		Applications/Multimedia
#BuildRequires:	beagle-devel
#Requires:	%{name} = %{version}-%{release}
#Requires:	beagle
#
#%description plugins-beagle
#Beagle support for Tangerine DAAP server.

%prep
%setup -q
%patch0 -p1

sed -i -e "s/nini-1.1/Nini-1.1.0/g" configure

%build
%configure	--prefix=/usr \
		--sysconfdir=/etc \
		--enable-release \
		--libdir=%{_libdir}
make

## FIXME: work around upstreamm bug
for f in `ls build/*`; do touch $f.mdb; done

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm %{buildroot}%{_libdir}/tangerine/*.la
rm %{buildroot}%{_libdir}/tangerine/*.mdb
rm %{buildroot}%{_libdir}/tangerine/plugins/*.mdb
rm %{buildroot}%{_libdir}/tangerine/plugins/*.la

# Correct desktop entrie:
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/

ln -s %{_libdir}/banshee/Banshee.CollectionIndexer.dll \
	%{buildroot}/%{_libdir}/tangerine/plugins/

%post
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
	/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/tangerine*
%{_libdir}/tangerine/*.so*
%{_libdir}/tangerine/*.exe*
%{_libdir}/tangerine/*.dll*
%{_libdir}/tangerine/plugins/File.dll
%{_libdir}/tangerine/plugins/Session.dll
%{_libdir}/tangerine/plugins/Session.dll.config
%{_libdir}/tangerine/plugins/libsessionglue.so
%{_datadir}/applications/tangerine.desktop
%{_datadir}/doc/tangerine/sample.conf
%{_datadir}/icons/hicolor
%{_sysconfdir}/xdg/autostart/tangerine-autostart.desktop

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/tangerine.pc
%{_libdir}/pkgconfig/daap-sharp.pc

%files plugins-banshee
%defattr(-,root,root)
%{_libdir}/tangerine/plugins/Banshee.dll
%{_libdir}/tangerine/plugins/banshee.provider
%{_libdir}/tangerine/plugins/Banshee.CollectionIndexer.dll

%files plugins-amarok
%defattr(-,root,root)
%{_libdir}/tangerine/plugins/Amarok.dll
%{_libdir}/tangerine/plugins/amarok.provider

%files plugins-rhythmbox
%defattr(-,root,root)
%{_libdir}/tangerine/plugins/Rhythmbox.dll
%{_libdir}/tangerine/plugins/rhythmbox.provider

%files plugins-lsongs
%defattr(-,root,root)
%{_libdir}/tangerine/plugins/LSongs.dll
%{_libdir}/tangerine/plugins/lsongs.provider

#%files plugins-beagle
#%defattr(-,root,root)
#%{_libdir}/tangerine/plugins/Beagle.dll
#%{_libdir}/tangerine/plugins/beagle.provider

%changelog
* Sat Feb 23 2013 <ismael@olea.org> 0.3.4-1
- update to 0.3.4
- re-enabling banshee support

* Mon Aug 23 2011 <ismael@olea.org> 0.3.3-1
- update to 0.3.3.
- debian patch for db4o v0.8 compatibility
- removed beagle support
- disabled banshee bc seems broken

* Fri Jun 18 2010 - Claudio Rodrigo Pereyra Diaz <claudio@pereyradiaz.com.ar> - 0.3.2.2-1
- Update to 0.3.2.2
- Split out devel.
- Split out Amarok plugin.
- Split out Rhythmbox plugin.
- Split out Lsongs plugin.
- Split out Beagle plugin.
- Spec clean up

* Tue Aug 11 2009 - Michael Monreal <michael.monreal at gmail.com> - 0.3.2.1-3
- Add hacks to make this work.

* Tue Aug 11 2009 - Michael Monreal <michael.monreal at gmail.com> - 0.3.2.1-2
- Split out Banshee plugin.

* Tue Aug 11 2009 - Michael Monreal <michael.monreal at gmail.com> - 0.3.2.1-1
- Revive tangerine package for F11.
- Update to latest release.
- Drop patches for now, hopefully the new upstream will integrate them soon.

* Mon Apr 21 2008 - Michael Monreal <michael.monreal at gmail.com> - 0.3.1-3-20080422svn239
- Add 24x24 icon to prevent the launcher icon from being blurry.
- Remove branding from launcher. 

* Mon Apr 21 2008 - Michael Monreal <michael.monreal at gmail.com> - 0.3.1-2-20080422svn239
- Fix .desktop file. 

* Mon Apr 21 2008 - Michael Monreal <michael.monreal at gmail.com> - 0.3.1-1-20080422svn239
- Package latest snapshot from SVN (less bundled .dlls). 

* Mon Apr 21 2008 - Michael Monreal <michael.monreal at gmail.com> - 0.3.0-1
- Packaged for Fedora 9.

